-- Create por unica vez.
------------------------------------------------------------------------------------------------------------
--------------------------------------------Tablas EncuestaIVR----------------------------------------------
------------------------------------------------------------------------------------------------------------

ADD jar hdfs:///LIBRERIAS/hive/csv-serde-1.1.2-0.11.0-all.jar;


CREATE EXTERNAL TABLE IF NOT EXISTS reclamos.call_center_encuestaivr_staging(
fechahora STRING,
ucid STRING,
aniencuesta STRING,
respuesta1 STRING,
respuesta2 STRING,
respuesta3 STRING,
idencuesta STRING,
skill STRING,
logid STRING
)
ROW FORMAT DELIMITED
   FIELDS TERMINATED BY ','
   STORED AS TEXTFILE
   location 'hdfs:/staging/AOA/encuestaivr_ext/'
  tblproperties ("skip.header.line.count"="1");


CREATE TABLE reclamos.call_center_encuestaivr
(
fechahora TIMESTAMP,
ucid STRING,
aniencuesta STRING,
respuesta1 TINYINT,
respuesta2 TINYINT,
respuesta3 TINYINT,
idencuesta INT,
skill INT,
logid INT
)
PARTITIONED BY (data_date int)
STORED AS ORC;

------------------------------------------------------------------------------------------------------------
--------------------------------------------Speech------------------------------------------------
------------------------------------------------------------------------------------------------------------


CREATE EXTERNAL TABLE IF NOT EXISTS reclamos.call_center_speech_staging(
audio_start_time STRING,
sid STRING,
site_id STRING,
ani STRING,
audio_ch_num STRING,
audio_end_time STRING,
audio_module_num STRING,
audio_start_time1 STRING,
audio_start_time_gmt STRING,
call_id STRING,
cd1 STRING,
cd2 STRING,
cd3 STRING,
cd4 STRING,
cd5 STRING,
cd6 STRING,
cd7 STRING,
cd8 STRING,
cd9 STRING,
cd10 STRING,
cd11 STRING,
cd12 STRING,
cd13 STRING,
cd14 STRING,
cd15 STRING,
cd16 STRING,
cd17 STRING,
cd18 STRING,
cd19 STRING,
cd20 STRING,
cd21 STRING,
cd22 STRING,
cd23 STRING,
cd24 STRING,
cd25 STRING,
cd26 STRING,
cd27 STRING,
cd28 STRING,
cd29 STRING,
cd30 STRING,
cd31 STRING,
cd32 STRING,
cd33 STRING,
cd34 STRING,
cd35 STRING,
cd36 STRING,
cd37 STRING,
cd38 STRING,
cd39 STRING,
cd40 STRING,
cd41 STRING,
cd42 STRING,
cd43 STRING,
cd44 STRING,
cd45 STRING,
cd46 STRING,
cd47 STRING,
cd48 STRING,
cd49 STRING,
cd50 STRING,
cd51 STRING,
cd52 STRING,
cd53 STRING,
cd54 STRING,
cd55 STRING,
cd56 STRING,
cd57 STRING,
cd58 STRING,
cd59 STRING,
cd60 STRING,
cd61 STRING,
cd62 STRING,
cd63 STRING,
cd64 STRING,
cd65 STRING,
cd66 STRING,
cd67 STRING,
cd68 STRING,
cd69 STRING,
cd70 STRING,
cd71 STRING,
cd72 STRING,
cd73 STRING,
cd74 STRING,
cd75 STRING,
contact_duration STRING,
contact_duration_seconds STRING,
direction STRING,
dnis STRING,
duration STRING,
duration_seconds STRING,
evaluated_by_me STRING,
exception_reason STRING,
extension STRING,
string_extension STRING,
is_exception STRING,
local_audio_end_time STRING,
local_audio_start_time STRING,
number_of_conferences STRING,
number_of_holds STRING,
number_of_transfers STRING,
num_of_cxm_evals STRING,
num_of_ccq_evals STRING,
session_number_of_holds STRING,
session_total_hold_time STRING,
session_total_hold_time_in_seconds STRING,
pbx_login_id STRING,
pcd1 STRING,
pcd1_value STRING,
pcd10 STRING,
pcd10_value STRING,
pcd11 STRING,
pcd11_value STRING,
pcd12 STRING,
pcd12_value STRING,
pcd13 STRING,
pcd13_value STRING,
pcd14 STRING,
pcd14_value STRING,
pcd15 STRING,
pcd15_value STRING,
pcd2 STRING,
pcd2_value STRING,
pcd3 STRING,
pcd3_value STRING,
pcd4 STRING,
pcd4_value STRING,
pcd5 STRING,
pcd5_value STRING,
pcd6 STRING,
pcd6_value STRING,
pcd7 STRING,
pcd7_value STRING,
pcd8 STRING,
pcd8_value STRING,
pcd9 STRING,
pcd9_value STRING,
personal_id STRING,
personal_name STRING,
personal_tag STRING,
prod_time STRING,
producer_name STRING,
remark STRING,
screens_exists STRING,
screens_module STRING,
switch_call_id STRING,
switch_id STRING,
switch_name STRING,
total_hold_time STRING,
total_hold_time_in_seconds STRING,
type STRING,
wrapup_time_in_seconds STRING,
wrapup_time STRING,
interaction_type_id STRING,
interaction_type STRING,
media_type_bit_mask STRING,
eval_count STRING,
has_emotion STRING,
ifind_categories STRING,
ifind_rank STRING,
source_db STRING
)
ROW FORMAT DELIMITED
   FIELDS TERMINATED BY '\u003B'
   STORED AS TEXTFILE
   location 'hdfs:/staging/AOA/speech_ext/'
  tblproperties ("skip.header.line.count"="1");


CREATE EXTERNAL TABLE reclamos.call_center_speech
(
audio_start_time TIMESTAMP,
sid INT,
site_id INT,
ani STRING,
audio_ch_num STRING,
audio_end_time TIMESTAMP,
audio_module_num STRING,
audio_start_time1 TIMESTAMP,
audio_start_time_gmt TIMESTAMP,
call_id STRING,
cd1 STRING,
cd2 STRING,
cd3 STRING,
cd4 STRING,
cd5 STRING,
cd6 STRING,
cd7 STRING,
cd8 STRING,
cd9 STRING,
cd10 STRING,
cd11 STRING,
cd12 STRING,
cd13 STRING,
cd14 STRING,
cd15 STRING,
cd16 STRING,
cd17 STRING,
cd18 STRING,
cd19 STRING,
cd20 STRING,
cd21 STRING,
cd22 STRING,
cd23 STRING,
cd24 STRING,
cd25 STRING,
cd26 STRING,
cd27 STRING,
cd28 STRING,
cd29 STRING,
cd30 STRING,
cd31 STRING,
cd32 STRING,
cd33 STRING,
cd34 STRING,
cd35 STRING,
cd36 STRING,
cd37 STRING,
cd38 STRING,
cd39 STRING,
cd40 STRING,
cd41 STRING,
cd42 STRING,
cd43 STRING,
cd44 STRING,
cd45 STRING,
cd46 STRING,
cd47 STRING,
cd48 STRING,
cd49 STRING,
cd50 STRING,
cd51 STRING,
cd52 STRING,
cd53 STRING,
cd54 STRING,
cd55 STRING,
cd56 STRING,
cd57 STRING,
cd58 STRING,
cd59 STRING,
cd60 STRING,
cd61 STRING,
cd62 STRING,
cd63 STRING,
cd64 STRING,
cd65 STRING,
cd66 STRING,
cd67 STRING,
cd68 STRING,
cd69 STRING,
cd70 STRING,
cd71 STRING,
cd72 STRING,
cd73 STRING,
cd74 STRING,
cd75 STRING,
contact_duration STRING,
contact_duration_seconds STRING,
direction STRING,
dnis STRING,
duration STRING,
duration_seconds STRING,
evaluated_by_me STRING,
exception_reason STRING,
extension STRING,
string_extension STRING,
is_exception STRING,
local_audio_end_time STRING,
local_audio_start_time STRING,
number_of_conferences STRING,
number_of_holds STRING,
number_of_transfers STRING,
num_of_cxm_evals STRING,
num_of_ccq_evals STRING,
session_number_of_holds STRING,
session_total_hold_time STRING,
session_total_hold_time_in_seconds STRING,
pbx_login_id STRING,
pcd1 STRING,
pcd1_value STRING,
pcd10 STRING,
pcd10_value STRING,
pcd11 STRING,
pcd11_value STRING,
pcd12 STRING,
pcd12_value STRING,
pcd13 STRING,
pcd13_value STRING,
pcd14 STRING,
pcd14_value STRING,
pcd15 STRING,
pcd15_value STRING,
pcd2 STRING,
pcd2_value STRING,
pcd3 STRING,
pcd3_value STRING,
pcd4 STRING,
pcd4_value STRING,
pcd5 STRING,
pcd5_value STRING,
pcd6 STRING,
pcd6_value STRING,
pcd7 STRING,
pcd7_value STRING,
pcd8 STRING,
pcd8_value STRING,
pcd9 STRING,
pcd9_value STRING,
personal_id STRING,
personal_name STRING,
personal_tag STRING,
prod_time STRING,
producer_name STRING,
remark STRING,
screens_exists STRING,
screens_module STRING,
switch_call_id STRING,
switch_id STRING,
switch_name STRING,
total_hold_time STRING,
total_hold_time_in_seconds STRING,
type STRING,
wrapup_time_in_seconds STRING,
wrapup_time STRING,
interaction_type_id STRING,
interaction_type STRING,
media_type_bit_mask STRING,
eval_count STRING,
has_emotion STRING,
ifind_categories STRING,
ifind_rank STRING,
source_db STRING
)
PARTITIONED BY (data_date int)
STORED AS ORC;




